stages:
  - test

variables:
    CI_DEBUG_TRACE: "false"

test_stage:

  stage: test

  variables:
    MYSQL_DATABASE: "python_test"
    MYSQL_ROOT_PASSWORD: "abc123"
    MYSQL_USER: "nayan"
    MYSQL_PASSWORD: "nayan"

  before_script:
    - python -m pip install mysql-connector-python

  tags:
    - docker_tester

  image: python:latest

  services:
    - name: mysql:latest
      alias: mysql_test

  script:
    - cat /etc/hosts
    - env | grep -i "mysql"
    - python -u pyscript
